%define major 2
%define libname %mklibname amrwb %major

Summary: AMR WideBand speech codec
Name: amrwb
Version: 7.0.0.0
Release: %mkrel 1
License: Distributable
Group: System/Libraries
URL: http://www.penguin.cz/~utx/amr
Source: http://ftp.penguin.cz/pub/users/utx/amr/amrwb-%{version}.tar.bz2
Source1: http://www.3gpp.org/ftp/Specs/archive/26_series/26.204/26204-700.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
AMR-WB is a wideband speech codec used in mobile phones.

%package -n %libname
Summary: AMR WideBand speech codec development files
Group: System/Libraries

%description -n %libname
AMR-NB is a wideband speech codec used in mobile phones development files.


%package -n %libname-devel
Summary: AMR WideBand speech codec development files
Group: Development/C
Requires: %{libname} = %{version}
Provides: lib%name-devel = %{version}-%{release}
Conflicts: %mklibname -d amrnb 0

%description -n %libname-devel
AMR-NB is a wideband speech codec used in mobile phones development files.

%prep
%setup -q
cp %SOURCE1 .

%build
%configure2_5x --enable-static
%make


%install
%{__rm} -rf %{buildroot}
%makeinstall


%clean
%{__rm} -rf %{buildroot}


%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc README AUTHORS TODO COPYING
%_bindir/*

%files -n %libname
%defattr(-,root,root,0755)
%{_libdir}/libamrwb.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root,0755)
%{_includedir}/amrwb/
%{_libdir}/libamrwb.a
%exclude %{_libdir}/libamrwb.la
%{_libdir}/libamrwb.so


%changelog
* Wed Dec 05 2007 Torbjorn Turpeinen (Thac) <tobbe@djura.se> 7.0.0.0-1
- Build for PCLinuxOS 2007
